DPDK patches and discussions
 help / color / mirror / Atom feed
From: Thomas Monjalon <thomas@monjalon.net>
To: dev@dpdk.org
Cc: David Marchand <david.marchand@redhat.com>
Subject: [PATCH] devtools: improve output of SPDX check
Date: Fri, 17 Feb 2023 22:25:31 +0100	[thread overview]
Message-ID: <20230217212532.2877388-1-thomas@monjalon.net> (raw)

When printing the check result in the middle of other checks,
it helps to get a bit of context about which check it is.

In quiet mode, no need to print result if all is OK.

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 devtools/check-spdx-tag.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/devtools/check-spdx-tag.sh b/devtools/check-spdx-tag.sh
index 7624778a8c..191d4a9906 100755
--- a/devtools/check-spdx-tag.sh
+++ b/devtools/check-spdx-tag.sh
@@ -62,9 +62,9 @@ trap 'rm -f -- "$tmpfile"' INT TERM HUP EXIT
 
 check_spdx
 $quiet || echo
-
 check_boilerplate
-
 $quiet || echo
-echo "total: $errors errors, $warnings warnings"
+$quiet && [ $errors -eq 0 ] && [ $warnings -eq 0 ] ||
+echo "SPDX tag check: $errors errors, $warnings warnings"
+
 exit $errors
-- 
2.39.1


                 reply	other threads:[~2023-02-17 21:25 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230217212532.2877388-1-thomas@monjalon.net \
    --to=thomas@monjalon.net \
    --cc=david.marchand@redhat.com \
    --cc=dev@dpdk.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).